# RT UI cli

Консольная утилита для работы с ui kit от маркетинга.

## Установка

### Глобально
```
npm install rt-ui-kit-cli -g
или
yarn global add rt-ui-kit-cli
```

### Локально(рекомендуется)
```
npm install rt-ui-kit-cli --save-dev
или
yarn add rt-ui-kit-cli --dev
```

### Использование
Если поставлен глобально

```
rt-ui-kit-cli <команда> [опции] [аргументы]
```

Если поставлен локально 

```
./node_modules/.bin/rt-ui-kit-cli <команда> [опции] [аргументы]
```

## Команды

### setup

Первоначальный сетап утилиты.

```
setup <path> <host> [components...]
```

`path` (required) - путь где будут храниться стили. Путь должен существовать.

`host` (required) - хост сервера ui-kit. С этого хоста будут скачиваться файлы стилей и ресурсов к ним.

`components` (optional) - если для приложения необходим ограниченный набор стилей, то можно перечислить их через пробел. Все обновления будут производиться только в рамках этого набора стилей

Пример

```
$ rt-ui-kit-cli setup ./components http://127.0.0.1:3000 badge/badge.less link/link.less
```

### update

Обновление файлов со стилями.

```
update [options]
```

Опции

`--all` - обновить весь набор стилей

`-c, --component <component>` - обновить отдельный компонент

Пример

```
$ rt-ui-kit-cli update --all
Файл variables.less был загружен
Файл badge/badge.less был загружен
Файл mixins.less был загружен
Файл badge/img/badges_app-store.svg был загружен
Файл link/link.less был загружен
Файл badge/img/badges_google-play.svg был загружен
Загрузка манифестов завершена

$ rt-ui-kit-cli update -c link/link.less
Компонент `link/link.less` успешно обновлен
```

### check

Проверка наличия обновленных стилей в ui-kit

```
check
```

Пример

```
$ rt-ui-kit-cli check
Компоненты требующие обновления:
mixins.less
badge/badge.less
```

### add-component

Добавление компонента в кастомный список стилей

```
add-component <component>
```

`component` (required) - название компонента

Пример

```
$ rt-ui-kit-cli add-component button/button.less
Компонент `button/button.less` успешно обновлен
```

### remove-component

Удаление компонента из кастомного списка стилей

```
remove-component <component>
```

`component` (required) - название компонента

Пример

```
$ rt-ui-kit-cli remove-component button/button.less
Компонент button/button.less успешно удален
```