const fs = require('fs-extra');
const _ = require('lodash');
const getConfig = require('../utils/getManifestConfig');
const { pathToConfig } = require('../config/settings');
const update = require('./update');

const action = (component) => {
  if (!component) {
    console.info('Необходимо указать компонент');
  } else {
    const components = _.uniq([...getConfig().components, component]);
    const newConfig = Object.assign({}, getConfig(), {
      components
    });
    fs.writeJsonSync(pathToConfig, newConfig);
    update({ component });
  }
};

module.exports = action;
