const _ = require('lodash');
const manifest = require('../utils/manifest');

const action = () => {
  const currentStyleManifest = manifest.show();
  manifest.getRemoteManifest().then((remoteManifest) => {
    const differenseComponents = _.chain(currentStyleManifest)
      .toPairs()
      .filter(manifestItem => manifestItem[1] !== remoteManifest[manifestItem[0]])
      .map(manifestItem => manifestItem[0])
      .value();

    if (differenseComponents.length) {
      console.info('Компоненты требующие обновления:');
      console.info(differenseComponents.join('\n'));
    } else {
      console.info('Все компоненты обновленны');
    }
  });
};

module.exports = action;
