const fs = require('fs-extra');
const path = require('path');
const _ = require('lodash');
const getConfig = require('../utils/getManifestConfig');
const manifest = require('../utils/manifest');
const { getAbsPathToComponents } = require('../config/manifestPaths');
const generateCustomComponentsImport = require('../utils/generateCustomComponentsImport');
const { pathToConfig } = require('../config/settings');

const action = (component) => {
  if (!component) {
    console.info('Необходимо указать компонент');
  } else {
    const components = _.without(getConfig().components, component);
    const newConfig = Object.assign({}, getConfig(), {
      components
    });
    fs.writeJsonSync(pathToConfig, newConfig);
    manifest
      .remove(component)
      .then(() => {
        const componentPath = path.parse(`${getAbsPathToComponents()}/${component}`).dir;
        fs.remove(componentPath);
        generateCustomComponentsImport();
        console.info(`Компонент ${component} успешно удален`);
      });
  }
};

module.exports = action;
