const path = require('path');
const fs = require('fs-extra');
const manifest = require('../utils/manifest');
const generateCustomComponentsImport = require('../utils/generateCustomComponentsImport');
const { pathToConfig } = require('../config/settings');

const action = (pathToComponents, host, components) => {
  const configData = JSON.stringify({ pathToComponents, host, components });
  const absPathToComponents = path.join(process.cwd(), pathToComponents);

  try {
    fs.statSync(absPathToComponents);
    fs.writeFileSync(pathToConfig, configData, 'utf8');
    manifest.download(components)
      .then(() => {
        if (components.length) {
          generateCustomComponentsImport();
        }
        console.info('Done');
      })
      .catch(err => console.error(err));
  } catch (e) {
    if (e.code === 'ENOENT') {
      console.error(`Папки \`${absPathToComponents}\` не существует`);
      process.exit(1);
    }
    console.error(e);
    process.exit(1);
  }
};

module.exports = action;
