const fetch = require('node-fetch');
const fs = require('fs-extra');

const download = (url, dest) =>
  fetch(url).then((res) => {
    if (res.status === 404) {
      throw new Error(`${res.status} ${res.statusText}`);
    }
    return new Promise((resolve, reject) => {
      const file = fs.createWriteStream(dest);
      file.on('finish', resolve);
      file.on('error', reject);
      res.body.pipe(file);
    });
  });

module.exports = download;
