const path = require('path');
const fs = require('fs-extra');
const { requiredStylesheetFiles } = require('../config/settings');
const getConfig = require('../utils/getManifestConfig');

const config = getConfig();
const componentsFileName = 'components.less';
const baseVariable = '@URL: \'./\';';

const renderImport = component => `@import '@{URL}${component}';`;

const generate = () => {
  const pathToComponentStyleFile = path.join(
    process.cwd(),
    config.pathToComponents,
    componentsFileName
  );
  const components = [...requiredStylesheetFiles, ...config.components];
  const contentList = components.map(component => renderImport(component));
  const renderedContent = [baseVariable, ...contentList].join('\n');

  fs.writeFileSync(pathToComponentStyleFile, renderedContent);
};

module.exports = generate;
